$(function () {
    $("#loading").ajaxStart(function () {
        $(this).show();
    }).ajaxStop(function () {
            $(this).hide();
        });
    if(typeof($.dialog)!="undefined"){
        $.dialog.setting.min = false;
        $.dialog.setting.max = false;
    }
    $('[data-toggle="dialog"]').click(modalDialog);
    $("#ajaxContent").find("a.delete,a.status").live("click",clickRefresh);
});
clickRefresh =function(e){
    if(typeof e !=="undefined"){
        e.preventDefault();
    }
    $.getJSON($(this).attr("href"), function(json){
        alert(json.message);
        if(json.success){
            if($.browser.msie){//ie stackOverflow 特殊处理.
                $.get(window.location, function(data){
                    var content = $(data).find("#ajaxContent");
                    $("#ajaxContent").html(content);
                });
            }else{
                $("#ajaxContent").load(" #ajaxContent",function(){
                });
            }
        }
    });
};
modalDialog = function(e) {
    if(typeof e !=="undefined"){
        e.preventDefault();
    }
    var url = $(this).attr('href');
    if (url.indexOf('#') == 0) {
        $(url).modal('open');
    } else {
        dialog(url);
    }
};
dialog=function(url,data){
    $.ajax({
        type: "GET",
        url: url,
        data:data,
        cache: false,
        dataType: "html",
        success: function(response){
            $('<div id="modal-dialog" class="modal hide">' + response + '</div>').modal({
                backdrop:false
            }).css({
                    width:function(){
                        if ($.browser.msie && $.browser.version < 8) {
                            return $(this).width();
                        } else {
                            return "auto";
                        }
                    },
                    'margin-left':function () {
                        return -($(this).width() / 2);
                    }
                }).on('hide', function () {
                    var that = $(this);
                    that.find("#categories ul li a").die("click");
                    var hideOperate=that.find(".modal-footer .btn-close");
                    that.detach();
                    if(hideOperate.attr("data-refresh")=="true"){
                        if($.browser.msie){//ie stackOverflow 特殊处理.
                            $.get(window.location, function(response){
                                var content = $(response).find("#ajaxContent");
                                content.find('[data-toggle="dialog"]').click(modalDialog);
                                $("#ajaxContent").replaceWith(content);
                            });
                        }else{
                            $("#ajaxContent").load(" #ajaxContent",function(){
                                $(this).find('[data-toggle="dialog"]').click(modalDialog);
                            });
                        }
                    }
                }).draggable({
                    handle: ".modal-header",
                    cursor: "move"
                });
            $('#modal-dialog input:text:visible:first').focus();
            $("#modal-dialog .modal-header").css("cursor","move");
        },
        statusCode:{404:function () {
            alert('页面不存在.');
        }
        }
    });
}
confirmDialog = function(url,title){
    $('<div id="modal-confirm" class="modal hide">' +
        '<div class="modal-header"><a class="close" data-dismiss="modal">&times;</a><h4>确认</h4></div>' +
        '<div class="modal-body">'+title+'</div><div class="modal-footer">' +
        '<a id="confirm-url" class="btn btn-primary" href="'+url+'">确定</a><a class="btn close" data-dismiss="modal">取消</a></div></div></div>').modal({
            backdrop:true
        }).on('hide', function () {
            $(this).detach();
        }).draggable({
            handle: ".modal-header",
            cursor: "move"
        }).find("#confirm-url").bind("click",modalDialog);
};
alertDialog = function(title){
    $('<div id="modal-confirm" class="modal hide"><div class="modal-header"><a class="close" data-dismiss="modal">&times;</a><h4></h4></div><div class="modal-body">'+title+'</div><div class="modal-footer"><a class="btn close" data-dismiss="modal">确定</a></div></div></div>').modal({
        backdrop:false
    });
};

resizeIframe = function () {
    var main = $(window.parent.document).find("#mainFrame");
    var thisheight = $(document.body).height() + 50;
    main.height(thisheight < 500 ? 500 : thisheight);
};

/**
 * 选择所有.
 * @param name
 * @param checked
 */
selectAll = function(name, checked) {
    $("input[type=checkbox][name=" + name + "]").each(function() {
        $(this).attr("checked", checked);
    });
};
/**
 * 复选框选中的个数
 *
 * @param name
 *            string of checkbox name
 */
checkedCount = function(name) {
    var count = 0;
    $("input[type=checkbox][name=" + name + "]:checked").each(function() {
        count++;
    });
    return count;
};

generateKeywords = function(adminbase,title,content,keyword){
    title = title.replace(".","\\.");
    content = content.replace(".","\\.");
    var titleValue = encodeURIComponent($("#"+title).val());
    var contentValue = encodeURIComponent($("textarea#"+content).val());
    $.ajax({
        type: "POST",
        url: adminbase+"/keyword/generate.do",
        data: "title="+titleValue+"&content="+contentValue,
        success: function(msg){
            $("#"+keyword).val(msg);
        }
    });
};

//添加收藏夹
function AddFavorite(sURL, sTitle) {
    try {
        window.external.addFavorite(sURL, sTitle);
    } catch (e) {
        try {
            window.sidebar.addPanel(sTitle, sURL, "");
        } catch (e) {
            alert("加入收藏失败，请使用Ctrl+D进行添加");
        }
    }
}
//设为首页
function setHomepage() {
    try {
        document.body.style.behavior = 'url(#default#homepage)';
        document.body.setHomePage(document.URL);
    } catch (e) {
        try {
            netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
        } catch (e) {
            alert("该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值该为true");
        }
        var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
        prefs.setCharPref('browser.startup.homepage', document.URL);
    }
}